%global dlrn_nvr ansible-role-container-registry-1.0.1.dev6-0.20181003162445.ddf8d09
%global dlrn 1
%define upstream_version 1.0.1.dev6
%global srcname ansible_role_container_registry
%global rolename ansible-role-container-registry

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           %{rolename}
Version: 1.0.1
Release: 0.20181003162447.ddf8d09%{?dist}
Summary:        Ansible role to deploy a container registry.

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://git.openstack.org/cgit/openstack/ansible-role-container-registry
Source0: ansible-role-container-registry-1.0.1.dev6-0.20181003162445.ddf8d09-ddf8d09aa8e4ac9ce24ac06e1c01a8580ca7973e.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=ddf8d09
Patch0001: 0001-Add-xfs-ftype-check-during-install.patch
Patch0002: 0002-Allow-to-skip-docker-reconfiguration.patch

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python-d2to1
BuildRequires:  python2-pbr

Requires: ansible

%description

Ansible role to deploy a container registry

%prep
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%py2_build


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%py2_install


%files
%doc README*
%license LICENSE
%{python2_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/roles/


%changelog
* Tue Dec 11 2018 Martin André <m.andre@redhat.com> 1.0.1-0.20181003162447.ddf8d09
- Update patches

* Tue Dec 11 2018 Martin André <m.andre@redhat.com> 1.0.1-0.20181003162446.ddf8d09
- Allow to skip docker reconfiguration (rhbz#1652406)
- Add xfs ftype check during install (rhbz#1652406)
- Update gitreview for code.engineering.redhat.com

